Skip to content

3.1 beta

arnebrasseur edited this page Mar 26, 2013 · 5 revisions

UPDATE: There will no longer be a 3.1 release of Shoes. We will go straight to Shoes4

THANK YOU!!! <3 <3 <3

Thanks for checking out our beta release! We'd love to have some testing help. You're awesome.

On Linux!

Check out Building Shoes on Linux. Super easy. Linux is dev friendly.

On The Mac!

Check out Building Shoes on Mac OS X 10.6 and 10.7. We've got it all there!

On Windows!

Windows is not 100% working yet. If you know stuff about Windows dev, we'd love to pick your brain! Everything compiles, but we get an 'invalid exe' error when you run it...

  1. Download RubyInstaller, both Ruby 1.9.2 and DevKit: http://rubyinstaller.org/downloads/
  2. install them.
  3. You're also gonna want msysgit: http://code.google.com/p/msysgit/
  4. git clone git://github.com/shoes/rubyinstaller.git
  5. cd rubyinstaller
  6. gem install bundler
  7. bundle install
  8. rake ruby19 # necessary so certain libs are available to Shoes later on
  9. rake shoes

This will use Chuck's Shoes (https://github.com/chuckremes/shoes), so if you want to edit some code, fork from him. We're merging his stuff into mainline soon.

Yes, you need to install Ruby with RubyInstaller to run stuff, and then you need to compile your own Ruby via the RubyInstaller source. Then build Shoes with it. Lots of Ruby!

Something went wrong with that request. Please try again.